package org.springblade.mongodb;

import lombok.SneakyThrows;

import java.sql.Connection;
import java.sql.DatabaseMetaData;
import java.sql.DriverManager;

/**
 * @author 喜欢番茄火锅
 * @date 2024/8/7 上午11:28
 */
public class JdbcMongodb {
    @SneakyThrows
    public static void main(String[] args) {
//        String uri = "jdbc:mongodb://mongodb:Platomix@mongodb123@192.168.0.251:27017/etl";
        String uri = "jdbc:mongodb://192.168.0.251:27017/etl";
        java.util.Properties p = new java.util.Properties();
        p.setProperty("database", "etl");

        Connection conn = DriverManager.getConnection(uri, p);
        DatabaseMetaData metaData = conn.getMetaData();
        System.out.println(1);


    }
}
